| Kea 3.0.2-git

fd.h File Reference

Wrappers around common unix fd manipulation functions. More...

`#include <unistd.h>`
Include dependency graph for fd.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util
namespace | isc::util::io

## Functions
ssize_t | isc::util::io::read_data (const int fd, void *buffer_v, const size_t length)
bool | isc::util::io::write_data (const int fd, const void *buffer_v, const size_t length)

## Detailed Description

Wrappers around common unix fd manipulation functions.

Definition in file fd.h.